> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save a business

> Save a new (or update an existing) business record



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/clientMgmt/business
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/clientMgmt/business:
    post:
      tags:
        - Business & Client Management
      summary: Save a business
      description: Save a new (or update an existing) business record
      operationId: postBusiness
      requestBody:
        description: business object
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TRAX_POST_BODYBusinessDTOV5'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_POST_BODYBusinessDTOV5:
      properties:
        business:
          $ref: '#/components/schemas/BusinessDTOV5'
    FormRetVal:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed
          enum:
            - SUCCESS
            - FAILURE
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        id:
          type: string
          description: Id of the entity being acted upon
        webhook:
          $ref: '#/components/schemas/EntityUpdateEvent'
      description: Object containing details about result of the action performed
    BusinessDTOV5:
      required:
        - bizType
        - name
      type: object
      properties:
        id:
          type: integer
          description: Id of this business, required to update an existing business
          format: int64
        firstName:
          type: string
          description: First name of the user, used for display on invoices
        lastName:
          type: string
          description: Last name of the user, used for display on invoices
        showFirstLastName:
          type: boolean
          description: Whether the user's first and last names are displayed on invoices
        name:
          type: string
          description: Name for business
        showName:
          type: boolean
          description: Whether the user's business name is displayed on invoices
        email:
          type: string
          description: Email of the user, used for display on invoices
        showEmail:
          type: boolean
          description: Whether the user's email is displayed on invoices
        bizType:
          type: string
          description: Business type for this business
          enum:
            - CONSULTANT
            - REAL_ESTATE_AGENT
            - DRIVER
            - INSURANCE_AGENT
            - RETAIL
            - HOST
            - FREELANCER
            - E_COMMERCE
            - SALES
            - OTHER
        phoneWork:
          type: string
          description: Your user's business phone number
        showPhoneWork:
          type: boolean
          description: Whether the user's business phone number is displayed on invoices
        address1:
          type: string
          description: First line of your user's business address
        address2:
          type: string
          description: Second line of your user's business address
        city:
          type: string
          description: City of your user's business address
        state:
          type: string
          description: State/Province of your user's business address
        zip:
          type: string
          description: Zip/Postal code of your user's business address
        showAddress:
          type: boolean
          description: Whether the user's business address is displayed on invoices
        invoicePrefix:
          type: string
          description: Prefix for invoice numbering
        status:
          type: string
          description: Status of this business
          enum:
            - ACTIVE
            - INACTIVE
        invoiceClientInfoDefaults:
          $ref: '#/components/schemas/InvoiceClientInfoDefaultsDTO'
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    EntityUpdateEvent:
      type: object
      properties:
        userId:
          type: string
        accountantUserId:
          type: string
        type:
          type: string
          enum:
            - ENTITY_UPDATE
            - LIFECYCLE_EVENT
            - LIFECYCLE
    InvoiceClientInfoDefaultsDTO:
      type: object
      properties:
        showClientEmail:
          type: boolean
          description: Whether the client's email is displayed on invoices
        showClientName:
          type: boolean
          description: Whether the client's name is displayed on invoices
        showClientBusinessName:
          type: boolean
          description: Whether the client's business name is displayed on invoices
        showClientAddress:
          type: boolean
          description: Whether the client's address is displayed on invoices
        showClientPhoneWork:
          type: boolean
          description: Whether the client's phone number is displayed on invoices
      description: Defaults for client information on invoices
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````